Name:       rpm-helper
Version:    0.18.4
Release:    %mkrel 2
Summary:    Helper scripts for rpm scriptlets
Source0:    %{name}-%{version}.tar.bz2
License:    GPL
Group:      System/Configuration/Packaging
URL:        http://www.mandrivalinux.com/
Requires:   grep
Requires:   shadow-utils
Requires:   chkconfig
Requires:   coreutils
# for addgroup which uses xargs
Requires:   findutils
Conflicts:  chkconfig < 1.3.4-10mdk
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
Helper scripts for rpm scriptlets to help create/remove :
- groups
- services
- shells
- users

%prep
%setup -q

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%{_datadir}/%{name}
%{_sys_macros_dir}/%{name}.macros


%changelog
* Tue Mar 27 2007 Pixel <pixel@mandriva.com> 0.18.4-2mdv2007.1
+ Revision: 149153
- requires findutils (for addgroup which uses xargs)

* Wed Mar 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18.4-1mdv2007.1
+ Revision: 134307
- new version

* Tue Mar 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18.3-1mdv2007.1
+ Revision: 133521
- new version

* Mon Mar 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18.2-1mdv2007.1
+ Revision: 133239
- new version

* Mon Mar 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18.1-1mdv2007.1
+ Revision: 133083
- new version

* Tue Sep 05 2006 Olivier Thauvin <nanardon@mandriva.org> 0.17-3mdv2007.0
+ Revision: 60103
- path1: fix typo (Guillomovitch)

* Fri Sep 01 2006 Olivier Thauvin <nanardon@mandriva.org> 0.17-2mdv2007.0
+ Revision: 59404
- bump release
- patch0: fix #24188 (guillomovitch)
- Import rpm-helper



* Thu Jun 22 2006 Olivier Thauvin <nanardon@mandriva.org> 0.17-1mdv2007.0
- fix web macros

* Sat Jun 17 2006 Olivier Thauvin <nanardon@mandriva.org> 0.16-1mdv2007.0
- add webapp macros and scrips (G. Rousse)

* Thu Feb 09 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.15-1mdk
- add-service: handle case when a service name appears several times.

* Tue Sep 20 2005 Frederic Lepied <flepied@mandriva.com> 0.14-1mdk
- add-service: don't add the service to all the profiles in upgrade mode.

* Sat Sep 10 2005 Frederic Lepied <flepied@mandriva.com> 0.13-1mdk
- add-service: test /etc/security/msec/server wihout taking care of
  $SECURE_LEVEL (bug #18409).
- add-service:  add by default the service to all the profiles if
  ADD_SERVICES_TO_CURRENT_PROFILE_ONLY isn't set in
  /etc/sysconfig/system.

* Wed Aug 03 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 0.12-1mdk
- Version bump: new version that contais syslog helpers

* Thu Jun 30 2005 Olivier Thauvin <nanardon@mandriva.org> 0.11-1mdk
- provide itself its macro (rpm 4.4 powah)
- mkrel

* Thu Sep 23 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.10-1mdk
- add-service: add the service again on upgrade if the service is activated

* Wed Sep 17 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.9.1-1mdk
- don't depend on initscripts anymore

* Tue Jan 14 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.9-1mdk
- added the right requires

* Sun Dec 22 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.8-1mdk
- corrected add-shell to not add the shell multiple times
- corrected add-service when SECURE_LEVEL isn't set
- corrected add-group not to delete supplementary groups already added

* Tue Nov  5 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.1-1mdk
- add verify-shell

* Tue Nov  5 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7-1mdk
- add add-shell and del-shell to update /etc/shells

* Fri Sep  6 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.6-1mdk
- add add-shell and del-shell to update /etc/shells
- add-service: do the security stuff here instead of doing it in chkconfig
to be more flexible.

* Thu Aug  1 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.5-1mdk
- add-service: on upgrade, restart services that depend of portmap.

* Wed Jul 31 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.4.1-1mdk
- correct add-group when no user is added to the group

* Mon Jul 29 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.4-1mdk
- added del-group and add-group

* Fri Jul 12 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.3-1mdk
- extend add-user to support extended groups

* Wed Jul 10 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.2-1mdk
- added create-file

* Tue Jul  9 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.1-1mdk
- Initial version

# end of file
